Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QAbstractTextDocumentLayout_PaintContext

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QAbstractTextDocumentLayout_PaintContext

All Implemented Interfaces:
  QtJambiInterface

    public class QAbstractTextDocumentLayout_PaintContext

extends QtJambiObject

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`QAbstractTextDocumentLayout_PaintContext()`

Method Summary
`QRectF` | `clip()` Returns a hint to the layout avoiding that paragraphs, frames or text that are clearly outside the specified rectangle, are drawn.
`int` | `cursorPosition()` Returns the position within the document, where the cursor line should be drawn..
`static QAbstractTextDocumentLayout_PaintContext` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QAbstractTextDocumentLayout_PaintContext instance pointed to by nativePointer
`static QNativePointer` | `nativePointerArray(QAbstractTextDocumentLayout_PaintContext[] array)` This function returns a QNativePointer that is pointing to the specified QAbstractTextDocumentLayout_PaintContext array.
`QPalette` | `palette()` Returns the default color that is used for the text, when no color is specified in the text..
`void` | `setClip(QRectF clip)` Sets a hint to the layout avoiding that paragraphs, frames or text that are clearly outside the specified rectangle, are drawn to `clip`.
`void` | `setCursorPosition(int cursorPosition)` Sets the position within the document, where the cursor line should be drawn.
`void` | `setPalette(QPalette palette)` Sets the default color that is used for the text, when no color is specified in the text.

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QAbstractTextDocumentLayout_PaintContext

    public QAbstractTextDocumentLayout_PaintContext()

Method Detail

### setPalette

    public final void setPalette(QPalette palette)

  Sets the default color that is used for the text, when no color is specified in the text. to `palette`.

  The default value of this variable uses the application's default palette.

  @see `palette`

### palette

    public final QPalette palette()

  Returns the default color that is used for the text, when no color is specified in the text..

  The default value of this variable uses the application's default palette.

  @see `setPalette`

### setCursorPosition

    public final void setCursorPosition(int cursorPosition)

  Sets the position within the document, where the cursor line should be drawn. to `cursorPosition`.

  The default value is -1.

  @see `cursorPosition`

### cursorPosition

    public final int cursorPosition()

  Returns the position within the document, where the cursor line should be drawn..

  The default value is -1.

  @see `setCursorPosition`

### setClip

    public final void setClip(QRectF clip)

  Sets a hint to the layout avoiding that paragraphs, frames or text that are clearly outside the specified rectangle, are drawn to `clip`.

  Specifying a clip rectangle can speed up drawing of large documents significantly. Note that the clip rectangle is in document coordinates (i.e., not in viewport coordinates), and that it is not a substitute for a clip region set on the painter.

  The default value is a null rectangle.

  @see `clip`

### clip

    public final QRectF clip()

  Returns a hint to the layout avoiding that paragraphs, frames or text that are clearly outside the specified rectangle, are drawn.

  Specifying a clip rectangle can speed up drawing of large documents significantly. Note that the clip rectangle is in document coordinates (i.e., not in viewport coordinates), and that it is not a substitute for a clip region set on the painter.

  The default value is a null rectangle.

  @see `setClip`

### fromNativePointer

    public static QAbstractTextDocumentLayout_PaintContext fromNativePointer(QNativePointer nativePointer)

  This function returns the QAbstractTextDocumentLayout_PaintContext instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

### nativePointerArray

    public static QNativePointer nativePointerArray(QAbstractTextDocumentLayout_PaintContext[] array)

  This function returns a QNativePointer that is pointing to the specified QAbstractTextDocumentLayout_PaintContext array.

  Parameters:
    `array` - the array that the returned pointer will point to.
  Returns:
    a QNativePointer that is pointing to the specified array.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD